<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__local__identity__keys__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_local_identity_keys_t</compoundname>
    <includes local="no">wiced_bt_dev.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__local__identity__keys__t_1a673845ef61536447f6026097d6921dcf" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_local_identity_keys_t::key_type_mask</definition>
        <argsstring />
        <name>key_type_mask</name>
        <briefdescription>
<para>The type of the key (BTM_BLE_KEY_TYPE_ID or BTM_BLE_KEY_TYPE_ER) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="624" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="624" />
      </memberdef>
      <memberdef id="structwiced__bt__local__identity__keys__t_1ad45a20096c2ff0b6feb0220ac79bb6e7" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structwiced__bt__local__id__keys">wiced_bt_local_id_keys</ref></type>
        <definition>wiced_bt_local_id_keys wiced_bt_local_identity_keys_t::id_keys</definition>
        <argsstring />
        <name>id_keys</name>
        <briefdescription>
<para>Local ID Keys. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="625" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="625" />
      </memberdef>
      <memberdef id="structwiced__bt__local__identity__keys__t_1ac6e3ff909692540005f590411e7d14dc" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__bt__types_1ga3081047eede654f70f0bf771e34e47a8">BT_OCTET16</ref></type>
        <definition>BT_OCTET16 wiced_bt_local_identity_keys_t::er</definition>
        <argsstring />
        <name>er</name>
        <briefdescription>
<para>BLE encryption key. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="626" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="626" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>LE identity key for local device (used by BTM_LE_LOCAL_IDENTITY_KEYS_UPDATE_EVT and BTM_LE_LOCAL_KEYS_REQUEST_EVT notification) </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="568">
        <label>wiced_bt_local_identity_keys_t</label>
        <link refid="structwiced__bt__local__identity__keys__t" />
        <childnode refid="569" relation="usage">
          <edgelabel>id_keys</edgelabel>
        </childnode>
      </node>
      <node id="569">
        <label>wiced_bt_local_id_keys</label>
        <link refid="structwiced__bt__local__id__keys" />
      </node>
    </collaborationgraph>
    <location bodyend="627" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" bodystart="623" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_dev.h" line="623" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__local__identity__keys__t_1ac6e3ff909692540005f590411e7d14dc" virt="non-virtual"><scope>wiced_bt_local_identity_keys_t</scope><name>er</name></member>
      <member prot="public" refid="structwiced__bt__local__identity__keys__t_1ad45a20096c2ff0b6feb0220ac79bb6e7" virt="non-virtual"><scope>wiced_bt_local_identity_keys_t</scope><name>id_keys</name></member>
      <member prot="public" refid="structwiced__bt__local__identity__keys__t_1a673845ef61536447f6026097d6921dcf" virt="non-virtual"><scope>wiced_bt_local_identity_keys_t</scope><name>key_type_mask</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>